### Method

# Secret Service load_collections_sync

#### Declaration [src]

    gboolean
    secret_service_load_collections_sync (
      SecretService* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Ensure that the `SecretService` proxy has loaded all the collections present in the Secret Service.

This affects the result of `secret_service_get_collections()`.

You can also pass the `SECRET_SERVICE_LOAD_COLLECTIONS` to `secret_service_get_sync()` in order to ensure that the collections have been loaded by the time you get the `SecretService` proxy.

This method may block indefinitely and should not be used in user interface threads.

#### Parameters

`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the load was successful or not.